Quote

Get Subscriptions

WSRequest · cmd 5

This API is used to obtain the subscription information.

message SubscriptionRequest {
}

message SubscriptionResponse {
  repeated SubTypeList sub_list = 1;
}

message SubTypeList {
  string symbol = 1;
  repeated SubType sub_type = 2;
}
Quote Permission RequiredFree

Included with OpenAPI activation — no extra purchase needed.

Response fields

NameTypeRequiredDescription
sub_listobject[]OptionalSubscribed data
└ symbolstringOptionalSecurity code
└ sub_typeint32[]OptionalSubscription type, see SubType

Response JSON example

{
  "sub_list": [
    {
      "symbol": "700.HK",
      "sub_type": [
        1,
        2,
        3
      ]
    },
    {
      "symbol": "AAPL.US",
      "sub_type": [
        2
      ]
    }
  ]
}